# $Revision: 1.39 $, $Date: 2010/06/06 08:40:25 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (require root privilleges)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	Pcap
Summary:	Net::Pcap - Perl binding to the LBL pcap(3) packet capture library
Summary(pl.UTF-8):	Net::Pcap - dowiązanie Perla do biblioteki przechwytywania pakietów LBL pcap(3)
Name:		perl-Net-Pcap
Version:	0.16
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b150d8e0a40137fad2a7df792d80cab4
URL:		http://search.cpan.org/dist/Net-Pcap/
BuildRequires:	libpcap-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Net::Pcap module is a Perl binding to the LBL pcap(3) packet
capture library.

%description -l pl.UTF-8
Moduł Net::Pcap jest dowiązaniem Perla do biblioteki przechwytywania
pakietów LBL pcap(3).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name .packlist | xargs -r rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/pcapinfo
%{perl_vendorarch}/Net/Pcap.pm
%dir %{perl_vendorarch}/auto/Net/Pcap
%{perl_vendorarch}/auto/Net/Pcap/Pcap.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Net/Pcap/Pcap.so
%{_mandir}/man1/pcapinfo.1p*
%{_mandir}/man3/Net::Pcap.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-Pcap.spec,v $
Revision 1.39  2010/06/06 08:40:25  arekm
- release 4

Revision 1.38  2010/04/03 17:24:14  glen
- release 3

Revision 1.37  2009/03/14 11:54:07  hawk
- release 2

Revision 1.36  2008/03/02 16:54:26  qboosh
- .so perms, added Changes to doc

Revision 1.35  2008-03-02 16:52:10  qboosh
- generic URL

Revision 1.34  2008-03-02 16:44:31  radek
- version 0.16

Revision 1.33  2007-12-02 23:46:42  agaran
- up to 0.15, rel remain at 0.1, builds here

Revision 1.32  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.30  2006/04/07 21:25:01  agaran
- up to 0.12 rel 0.1, builds here

Revision 1.29  2006/02/23 02:05:55  agaran
- up to 0.11 rel 0.1 under testing

Revision 1.28  2004/11/03 22:30:37  paladine
- formatting

Revision 1.27  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.26  2004/06/05 18:10:45  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.25  2004/05/07 00:40:54  ankry
- rel. 7

Revision 1.24  2004/05/06 18:20:45  ankry
- fixed perl-devel BR

Revision 1.23  2004/04/27 05:43:31  ankry
- rel. 6 for Ac

Revision 1.22  2004/04/27 05:41:05  ankry
- Oops, removed duplicated comment

Revision 1.21  2004/04/27 05:38:27  ankry
- comment with reason added

Revision 1.20  2004/04/27 04:14:55  radek
- yes, tests need to be disabled: require UID=0; done.

Revision 1.19  2004/04/26 18:02:49  ankry
- tests added (but fail: disable them ? )

Revision 1.18  2004/04/15 05:31:32  ankry
- cosmetics, unification

Revision 1.17  2003/09/09 10:24:43  ankry
- spaces -> tab

Revision 1.16  2003/08/18 08:09:03  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.15  2003/05/28 13:00:54  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 06:24:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.12  2003/03/01 20:21:50  radek
- should be ready for perl-5.8.0; release++

Revision 1.11  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.10  2003/02/18 15:37:12  ankry
- massive attack: change CPAN URLs

Revision 1.9  2002/11/26 00:14:20  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.8  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.7  2002/03/03 22:16:36  marcus
- rel.4.

Revision 1.6  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/12 10:46:21  kloczek
- release 3.

Revision 1.4  2002/02/10 15:40:16  depesz
adapterized

Revision 1.3  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/07 15:10:47  qboosh
- pl translations, release 2

Revision 1.1  2001/11/15 09:07:27  mis
- 1st release
